@import url('https://fonts.googleapis.com/css?family=El+Messiri:400,700|Open+Sans:400,700&subset=cyrillic');
/* ---
	font-family: 'El Messiri', sans-serif;
	font-family: 'Open Sans', sans-serif;
--- */

html, body {
	width: 100%;
	margin: 0;
	padding: 0;
}

body {
	display: flex;
	background: #000 url('../images/bg_html.jpg') center center;
	background-size: contain;
	flex-direction: column;
	font-size: 1em;
	height: 100%;
}

.strip {
	content: '';
	display: block;
	background: url('../images/strip_animation.gif') repeat-x;
	width: 100%;
	height: 28px;
	margin-top: auto;
}

.container {
	width: 1200px;
	margin: 0 auto;
	height: 100%;
}

.logo {
	display: inline-block;
	width: 100%;
	text-align: center;
}

.slots-wrapper {
	position: relative;
	background: url('../images/slots.png') no-repeat;
	background-position: top center;
	width: 1110px;
	height: 600px;
	margin: -12px auto 0;
}

.slots-lever {
	position: absolute;
	background: url('../images/lever_bottom.png') no-repeat;
	width: 68px;
	height: 83px;
	right: 22px;
	bottom: 180px;
	perspective: 500px;
    perspective-origin: 30% 100%;
}

.slots-container {
	position: relative;
    display: table;
    margin: 0 auto;
	top: 78px;
}

.slots {
	float: left;
	width: 220px;
	height: 350px;
	overflow: hidden;
	margin: 0 37px;
	border-radius: 10px;
}

.slots .slot {
	width: 220px;
	height: 350px;
	text-align: center;
}

.slots .slot img {
	max-width: 100%;
    height: auto;
}

#leverarm {
	content: '';
	position: absolute;
	background: url('../images/lever_top.png') no-repeat;
	width: 18px;
	height: 187px;
	bottom: 40px;
	right: 20px;
	transform-origin: 0 248px;
    transform-style: preserve-3d;
}

#leverarm:before {
    content: '';
    position: absolute;
    background: url('../images/lever_circle.png') no-repeat;
    width: 62px;
    height: 62px;
	top: -60px;
    right: -22px;
    transform-origin: 0 12px;
}

.circle {
	content: '';
    position: absolute;
    background-color: #e31f13;
	cursor: pointer;
    width: 62px;
    height: 62px;
    right: -22px;
    top: -60px;
    border-radius: 50%;
	transform: rotateX(45deg);
}

.slots-wrapper .attempts {
	position: relative;
	color: #fff;
	font-size: 2em;
	font-family: 'El Messiri', sans-serif;
	text-align: center;
	top: 24px;
}

.jSlots-wrapper {
	display: inline-block;
	height: 20px;
	border: 1px solid #999;
	overflow: hidden;
}

.info-block {
	display: flex;
	flex-wrap: wrap;
	color: #fff;
	font-size: 46px;
	line-height: 50px;
	font-family: 'El Messiri', sans-serif;
	font-weight: 700;
	width: 880px;
	margin: 0 auto;
	box-sizing: border-box;
}

.info-block > * {
	width: 33.333%;
}

.info-block .text-left span {
	color: #ffcc66;
}

.info-block .btn-center {
	position: relative;
	top: -40px;
	text-align: center;
}

.info-block .btn-center .btn-start {
	display: block;
	background: url('../images/btn-1.png');
	cursor: pointer;
	color: #fff;
	width: 200px;
	height: 200px;
	margin: 0 auto;
}

.info-block .btn-center .btn-start:active {
	background: url('../images/btn-2.png');
}

.info-block .text-right {
	font-size: 32px;
	text-align: right;
}

.info-block .text-right span {
	color: #ffcc66;
}

.payments {
	text-align: center;
	padding: 15px;
}

.payments ul {
	display: inline-block;
	list-style: none;
	margin: 0 auto;
	padding: 0;
}

.payments ul li {
	float: left;
	margin: 0 5px;
}

.payments ul li div {
	padding: 7px;
	height: 34px;
}

.payments ul li img {
	top: 5px;
    position: relative;
    vertical-align: -webkit-baseline-middle;
}

.overlay {
	opacity: 0;
	visibility: hidden;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #000;
	z-index: 20;
	transition: .3s all;
}

.modal {
	width: 100%;
	max-width: 1024px;
	height: 630px;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 30;
	text-align: center;
	opacity: 0;
	visibility: hidden;
	border-radius: 3px;
	font-family: 'El Messiri', sans-serif;
	transition: 0.3s all;
}

.modal-wrapper {
	background: url('../images/arrow_win.gif') no-repeat;
	background-size: 100% auto;
}

.modal.active,
.overlay.active {
	opacity: 1;
	visibility: visible;
}

.modal-cross {
	width: 20px;
	height: 20px;
	position: absolute;
	top: 20px;
	right: 20px;
	fill: #fff;
	cursor: pointer;
}

.modal-title {
	color: #ff0000;
	font-size: 40px;
	font-weight: 700;
	text-transform: uppercase;
	animation: blink2 .5s linear infinite;
}

@keyframes blink2 {
  100% { color: #ffe900; }
}

.modal-content {
	margin: 54px 0;
}

.modal-content .title_youwon {
	font-size: 30px;
}

.modal-block-reg {
	margin-top: -62px;
}

.modal-block-reg .btn-reg {
	display: inline-block;
	background: url('../images/btn_reg.png') no-repeat;
	width: 479px;
	height: 249px;
	color: #4e0000;
	font-size: 38px;
	line-height: 249px;
	font-weight: 700;
	text-shadow: 2px 2px 0px #efa10d;
	text-transform: uppercase;
	text-decoration: none;
}

.modal-block-reg .txt {
	position: relative;
    top: -64px;
    color: #fff;
    font-size: 28px;
	text-transform: uppercase;
}

.icons {
	display: inline-block;
	list-style: none;
	padding: 0;
	margin: 0;
}

.icons li {
	float: left;
	width: 100px;
}

.icons li span {
	font-size: 20px;
	line-height: 22px;
	text-transform: uppercase;
}

@keyframes heartBeat {
	0% {
		transform: scale(1);
	}

	14% {
		transform: scale(1.3);
	}

	28% {
		transform: scale(1);
	}

	42% {
		transform: scale(1.3);
	}

	70% {
		transform: scale(1);
	}
}

.heartBeat {
	animation-name: heartBeat;
	animation-duration: 1.3s;
	animation-timing-function: ease-in-out;
}

.animated {
	animation-duration: 1s;
	animation-fill-mode: both;
}

@media (min-width: 372px) and (max-width: 384px) {
	.payments ul li:last-child {
		float: none;
	}
}

@media (max-width: 479px) {
	.logo img {
		width: 150px;
		height: auto;
		margin-top: 10px;
	}
	
	.container {
		width: 100%;
	}
	
	.slots-wrapper {
		background-size: 300px 162px;
		background-position: top 60px center;
		width: 300px;
		height: 250px;
	}
	
	.slots-wrapper .attempts {
		font-size: 1.4em;
	}
	
	.slots-lever {
		background-size: 19px 23px;
		width: 19px;
		height: 23px;
		right: 5px;
		bottom: 80px;
		perspective: 140px;
	}
	
	#leverarm {
		background-size: 5px 52px;
		width: 5px;
		height: 52px;
		bottom: 10px;
		right: 5px;
	}
	
	#leverarm:before {
		background-size: 18px 18px;
	}
	
	#leverarm:before,
	.circle {
		width: 18px;
		height: 18px;
		top: -16px;
		right: -6px;
	}
	
	.attempts {
		top: 0;
	}
	
	.slots-container {
		width: 240px;
		top: 60px;
	}
	
	.slots {
		width: 60px;
		height: 95px;
		margin: 0 10px;
	}
	
	.slots .slot {
		width: 100%;
		height: 95px;
	}
	
	.info-block {
		position: relative;
		width: 100%;
		top: -10px;
	}
	
	.info-block .text-left,
	.info-block .btn-center {
		width: 50%;
	}
	
	.info-block > * {
		font-size: 1.6rem;
		line-height: 1.6rem;
		text-align: center;
	}
	
	.info-block .btn-center {
		top: -15px;
	}
	
	.info-block .text-right {
		font-size: 1.8rem;
		line-height: 1.8rem;
		width: 100%;
		text-align: center;
	}
}

@media (min-width: 480px) and (max-width: 767px) {
	.container {
		width: 100%;
	}
	
	.slots-wrapper {
		background-size: 480px auto;
		background-position: top 40px center;
		width: 480px;
		height: 320px;
	}
	
	.slots-lever {
		background-size: 30px auto;
		width: 30px;
		height: 36px;
		right: 9px;
		bottom: 100px;
		perspective: 140px;
	}
	
	#leverarm {
		background-size: 8px auto;
		width: 8px;
		height: 81px;
		bottom: 10px;
		right: 5px;
		transform-origin: 0 80px;
	}
	
	#leverarm:before {
		background-size: 27px auto;
	}
	
	#leverarm:before,
	.circle {
		width: 27px;
		height: 27px;
		top: -16px;
		right: -10px;
	}
	
	.slots-wrapper .attempts {
		font-size: 1.4em;
	}
	
	.slots-container {
		width: 384px;
		top: 57px;
	}
	
	.slots {
		width: 98px;
		height: 156px;
		margin: 0 15px;
	}
	
	.slots .slot {
		width: 100%;
		height: 156px;
	}
	
	.info-block {
		width: 370px;
		font-size: 1.6rem;
		line-height: normal;
		margin-top: -20px;
	}
	
	.info-block .text-left {
		line-height: 1.8rem;
	}
	
	.info-block .text-left,
	.info-block .btn-center {
		width: 50%;
	}
	
	.info-block .text-right	{
		width: 100%;
		font-size: 1.2rem;
		line-height: normal;
		text-align: center;
	}
	
	.info-block .btn-center {
		top: -10px;
	}
}
	
@media (max-width: 767px) {
	.modal-wrapper {
		background-size: 100% auto;
		background-position: top 20px center;
		width: 320px;
		margin: 0 auto;
	}
	
	.modal-title {
		position: relative;
		font-size: 1.6rem;
		top: 64px;
		margin-bottom: 110px;
	}
	
	.modal-content {
		color: #fff;
		margin: 80px auto 0;
	}
	
	.modal-block-reg .btn-reg {
		position: relative;
		background-size: 100% auto;
		width: 100%;
		font-size: 1.8rem;
		line-height: 175px;
		top: 36px;
	}
	
	.modal-block-reg .txt {
		font-size: 1.4rem;
	}
}

@media (min-width: 768px) and (max-width: 959px) {
	.container {
		width: 100%;
	}
	
	.slots-wrapper {
		background-size: 768px auto;
		background-position: top 40px center;
		width: 768px;
		height: 440px;
	}
	
	.slots-lever {
		background-size: 48px auto;
		width: 48px;
		height: 58px;
		right: 14px;
		bottom: 100px;
		perspective: 200px;
	}
	
	#leverarm {
		background-size: 13px auto;
		width: 13px;
		height: 130px;
		bottom: 29px;
		right: 13px;
		transform-origin: 0 100px;
	}
	
	#leverarm:before {
		background-size: 43px auto;
	}
	
	#leverarm:before,
	.circle {
		width: 43px;
		height: 43px;
		top: -16px;
		right: -15px;
	}
	
	.slots-container {
		width: 610px;
		top: 73px;
	}
	
	.slots {
		width: 157px;
		height: 250px;
		margin: 0 23px;
	}
	
	.slots .slot {
		width: 100%;
		height: 250px;
	}
	
	.info-block {
		width: 75%;
		font-size: 1.6rem;
		line-height: 1.8rem;
	}
	
	.info-block .btn-center {
		top: -10px;
	}

	.info-block .text-right {
		font-size: 1.2rem;
	}
}


@media (max-width: 959px) {
	.info-block .btn-center .btn-start,
	.info-block .btn-center .btn-start:active	{
		background-size: 100px auto;
		width: 100px;
		height: 100px;
	}
}
	
@media (min-width: 768px) and (max-width: 959px) {
	.modal-wrapper {
		background-size: 100% auto;
		background-position: top 20px center;
		width: 768px;
		margin: 0 auto;
	}
	
	.modal-title {
		position: relative;
		font-size: 1.8rem;
		top: 20px;
		margin-bottom: 56px;
	}
	
	.modal-content .title_youwon {
		font-size: 1.4rem;
	}
	
	.modal-content .icons li img {
		height: 50px;
	}
	
	.modal-content .icons li span {
		font-size: 1rem;
		line-height: 1rem;
	}
	
	.modal-block-reg .txt {
		font-size: 1.4rem;
	}
}


@media (min-width: 960px) and (max-width: 1219px) {
	.container {
		width: 100%;
	}
	
	.slots-wrapper {
		background-size: 950px auto;
		background-position: top 20px center;
		width: 950px;
		height: 510px;
	}
	
	.slots-lever {
		background-size: 59px auto;
		width: 59px;
		height: 71px;
		right: 18px;
		bottom: 130px;
		perspective: 200px;
	}
	
	#leverarm {
		background-size: 16px auto;
		width: 16px;
		height: 160px;
		bottom: 29px;
		right: 13px;
		transform-origin: 0 130px;
	}
	
	#leverarm:before {
		background-size: 53px auto;
	}
	
	#leverarm:before,
	.circle {
		width: 53px;
		height: 53px;
		top: -16px;
		right: -19px;
	}
	
	.slots-container {
		width: 756px;
		top: 72px;
	}
	
	.slots {
		width: 194px;
		height: 309px;
		margin: 0 29px;
	}
	
	.slots .slot {
		width: 100%;
		height: 309px;
	}
	
	.info-block {
		width: 730px;
		font-size: 1.8rem;
		line-height: 2rem;
	}
	
	.info-block .text-right {
		font-size: 1.6rem;
	}
	
	.info-block .btn-center {
		top: -20px;
	}
	
	.info-block .btn-center .btn-start,
	.info-block .btn-center .btn-start:active	{
		background-size: 100px auto;
		width: 100px;
		height: 100px;
	}
	
	.payments {
		padding: 0;
	}
	
	.payments ul {
		width: 730px;
	}
}